/********************************************************************************
 * Copyright (c) 2020 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0
 *
 * SPDX-License-Identifier: EPL-2.0
 ********************************************************************************/

@import "src/styles/openk.styles";

:host {
  @include rounded-border-mixin();

  position: relative;

  display: flex;
  flex-flow: column;
  align-items: flex-start;
  box-sizing: border-box;

  line-height: 1;

  border: 1px dashed $openk-form-border;
  background: get-color($openk-default-palette);

  min-height: 6em;
}

.file-drop-placeholder {
  display: none;
  width: 100%;
  flex: 1 1 100%;
  height: 100%;
  justify-content: center;
  align-items: center;

  color: $openk-form-border;

  font-size: smaller;

  &:first-child {
    display: flex;
  }
}


* + .file-drop-placeholder {
  display: none;
}

.file-drop-placeholder--label {
  font-style: italic;
  text-align: center;
  max-width: 14em;
  padding: 0.5em;
}

/*
:host {
  @include rounded-border-mixin();

  background: get-color($openk-default-palette);
  display: inline-flex;
  border: 1px dashed get-color($openk-default-palette, A700);
  flex-flow: column;
  align-items: flex-start;
  box-sizing: border-box;

  padding: 0.4em;
  font-size: 0.875em;
  font-weight: 400;
  line-height: 1;
  vertical-align: middle;
  text-decoration: none;
}

.attachments-file {
  display: inline-flex;
  width: 100%;
  align-items: center;
  line-height: 1.25;

  .openk-button {
    font-size: 0.66em;
    border: 0;
    margin-right: 0.25em;
  }
}
*/
